/* General Styles */

* {
    margin: 0;
    padding: 0;
}

body {
    /* background-color: #ecf0f1; */
    background: radial-gradient(black 3px, transparent 4px), radial-gradient(black 3px, transparent 4px), linear-gradient(#fff 4px, transparent 0), linear-gradient(45deg, transparent 74px, transparent 75px, #a4a4a4 75px, #a4a4a4 76px, transparent 77px, transparent 109px), linear-gradient(-45deg, transparent 75px, transparent 76px, #a4a4a4 76px, #a4a4a4 77px, transparent 78px, transparent 109px), #fff;
    background-size: 109px 109px, 109px 109px, 100% 6px, 109px 109px, 109px 109px;
    background-position: 54px 55px, 0px 0px, 0px 0px, 0px 0px, 0px 0px;
    color: white;
    font-family: 'Manjari', sans-serif;
}

/*Estilos*/

/*Centramos el título y lo separamos por arriba del body*/
h1 {
    color: #000000;
    text-align: center;
    margin-top: 1%;
}

/* El main (contenedor principal) ocupa el 70% del body y lo centramos y lo separamos del titulo*/
main {
    width: 70%;
    margin-left: 15%;
    margin-top: 2%;
}

/* Cambiamos el color de fondo del header y footer asi como su letra y espaciado*/
header,
footer {
    background-color: #000000;
    padding: 10px;
    font-size: large;
}

/* Tabla de 2x2 */
.contenedor {
    display: grid;
    grid-template-columns: 2fr 1fr;
    grid-template-rows: 6fr 2fr;
    gap: 10px;
    margin-top: 10px;
}

/*
La caja que contiene los textos lo colocamos en la fila 1 columna 1
Le ponemos un borde y un espaciado
Hacemos que sus hijos sean flex para colocarlos
*/
.textos {
    grid-column: 1;
    border: 1px solid black;
    padding: 10px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

/*
Cambiamos el fondo de cada parrafo
Le damos un margin y un padding
Para que rellene toda la celda le ponemos flex basis
*/
.parrafos {
    background-color: rgb(104, 122, 118);
    flex-basis: 100%;
    margin: 5px auto;
    padding: 20px;
}

/*
Situamos el div de las fotos en la fila 1 columna 2
Cambiamos su color de fondo y le damos un padding
Hacemos que sus hijos sean flex para colocarlos
*/
.fotos {
    grid-column: 2;
    background-color: grey;
    padding: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

/*
    Separamos cada imagen en el eje Y y la centramos en X
*/
.imagen {
    margin: 20px auto;
}

/* Para que la foto sea responsive => width 100%*/
.imagen img {
    width: 100%;
}

/*
Situamos el div que contiene las postcard en la fila 2 columna entera
Hacemos que sus hijos sean flex para colocarlos
*/
.post {
    grid-column: 1/-1;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

/*
Cambiamos el fondo
Separamos cada carta 20px en el eje X
flexbasis 100% para que ocupe todo el contenido sobrante
height de 90% del contenedor padre
centramos el contenido haciendolo flex
*/
.carta {
    background-color: darkgray;
    margin: 0 20px;
    flex-basis: 100%;
    height: 90%;
    display: flex;
    justify-content: center;
    align-items: center;
}